%def_without esd

Name: mpg123
Version: 0.66
Release: alt0.1

Summary: MPEG audio player
Group: Sound
License: distributable

ExclusiveArch: %ix86 x86_64

Url: http://www.%name.de
Source: %name-%version.tar.bz2
Source1: mp3license
Packager: Alexey Tourbin <at@altlinux.ru>

# goldhead
# regenerated for 0.66 (is there any need for this patch ?)
Patch1: %name-0.66-8bit.patch

BuildRequires: libalsa-devel libaudio-devel
%if_with esd
BuildPreReq: esound-devel libaudiofile-devel
%endif

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
%url

%prep
%setup -q
%patch1 -p1

%__install -p -m644 %SOURCE1 .

%build
%{!?_enable_debug:%add_optflags -fomit-frame-pointer -ffast-math -frename-registers}

%if_with esd
CFLAGS=-DUSE_ESD; OBJECTS=audio_esd.o; AUDIO_LIB='-lesd -laudiofile'
%else
CFLAGS=-DOSS; OBJECTS=audio_oss.o AUDIO_LIB=
%endif

%ifarch %ix86
%configure --with-audio=alsa --with-cpu=i586_dither
%make_build
%else
%configure --with-audio=alsa
%make_build
%endif



%install
%make_install DESTDIR=%buildroot install
mkdir -p %buildroot%_defaultdocdir/%name-%version/
%find_lang %name


%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README mp3license doc/
%_bindir/*
%_man1dir/*


%changelog
* Sat Jun 16 2007 Alexey Morsov <swi@altlinux.ru> 0.66-alt0.1
- version 0.66
- remove most of patches (allready in upstream)
- regenerate 1 patche (-8bit) for new source tree
- fix build and install section (now upstrean use configure)
- add BuildRequires for libaudio and libalsa

* Sat Mar 04 2006 Anton Farygin <rider@altlinux.ru> 0.59s-alt0.9
- NMU: fix build for x86_64

* Wed Sep 08 2004 Alexey Tourbin <at@altlinux.ru> 0.59s-alt0.8
- fixed buffer overflow in layer2 decoder (CAN-2004-0805)

* Thu Sep 25 2003 Alexey Tourbin <at@altlinux.ru> 0.59s-alt0.7
- security update (heap corruption in httpget.c)

* Tue Sep 23 2003 Alexey Tourbin <at@altlinux.ru> 0.59s-alt0.6
- build without esd by default (-a options works, #2981)

* Thu Aug 21 2003 Alexey Tourbin <at@altlinux.ru> 0.59s-alt0.5
- memory leak fixed (#0002810)
- esd support restored
- IPv6 support enabled

* Mon Aug 04 2003 Alexey Tourbin <at@altlinux.ru> 0.59s-alt0.4
- security update (CAN-2003-0577)

* Sun Jun 15 2003 Alexey Tourbin <at@altlinux.ru> 0.59s-alt0.3
- some PLD patches applied
- some heavy optimization options dropped
- some bugs disappeared, after all :-/

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.59s-alt0.2
- Rebuilt in new environment

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.59s-alt0.1
- pre059s
- Added some Arch-dependent optimizations

* Wed Feb 28 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.59r-ipl2mdk
- Added 3dNOW patch by Takuhiro KIMURA
- Fixed esd building

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 0.59r-ipl1mdk
- RE adaptions.

* Sat Nov 27 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Mon Nov 15 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.59r

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- removed debug output from audio_esd.c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- hacked to work with esd for 8 bit fallback

* Sat Mar  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Mon Mar  1 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Fri Feb 26 1999 Michael Maher <mike@redhat.com>
- update package

* Tue Jan 12 1999 Michael Maher <mike@redhat.com>
- allowed to ship ... finally.

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>
- more cleanup
